Package Details: vim-youcompleteme-git r2784.dbf67638-1

Git Clone URL: https://aur.archlinux.org/vim-youcompleteme-git.git (read-only, click to copy)
Package Base: vim-youcompleteme-git
Description: A code-completion engine for Vim
Upstream URL: https://ycm-core.github.io/YouCompleteMe/
Keywords: completion engine neovim vim ycm
Licenses: GPL3
Groups: vim-plugins
Submitter: thestinger
Maintainer: artafinde
Last Packager: artafinde
Votes: 160
Popularity: 0.88
First Submitted: 2013-02-05 21:32
Last Updated: 2021-02-12 08:09

Dependencies (21)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Herbort11 commented on 2021-02-25 15:10

EDIT: solved after a clean rebuild

Stopped working after clang updated to version 11.1.0-1.

Error log:

2021-02-25 15:49:42,345 - ERROR - libclang.so.11: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/share/vim/vimfiles/third_party/ycmd/ycmd/utils.py", line 498, in ImportAndCheckCore
    ycm_core = ImportCore()
  File "/usr/share/vim/vimfiles/third_party/ycmd/ycmd/utils.py", line 489, in ImportCore
    import ycm_core as ycm_core
ImportError: libclang.so.11: cannot open shared object file: No such file or directory

It is looking for libclang.so.11, but with this clang version we have libclang.so.11.1.

wjhandley commented on 2021-02-18 23:43

After inspecting that error message, it seems like the advice on this page fixes the issue

https://github.com/archlinuxcn/repo/issues/319

wjhandley commented on 2021-02-18 23:26

Apologies @staletic -- I'd thought it looked similar to @David01's error, but you are right that it is different.

@artafinde -- yes, this error occurs after a clean build and fresh pacman update.

Error detected while processing function <SNR>80_PollServerReady:
line    7:
Traceback (most recent call last):
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 206, in Session
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    return cls.session
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
AttributeError: type object 'BaseRequest' has no attribute 'session'
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
During handling of the above exception, another exception occurred:
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
Traceback (most recent call last):
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "<string>", line 1, in <module>
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/youcompleteme.py", line 226, in CheckIfServerIsReady
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    self._server_is_ready_with_cache = BaseRequest().GetDataFromHandler(
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 105, in GetDataFromHandler
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    self.GetDataFromHandlerAsync( handler, timeout, payload ),
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 114, in GetDataFromHandlerAsync
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    return BaseRequest._TalkToHandlerAsync(
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 171, in _TalkToHandlerAsync
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    return BaseRequest.Session().get(
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 209, in Session
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    from requests_futures.sessions import FuturesSession
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
ImportError: bad magic number in 'requests_futures': b'\x03\xf3\r\n'
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
E858: Eval did not return a valid python object
Press ENTER or type command to continue

artafinde commented on 2021-02-18 12:07

@wjhandley Did you rebuild ycm after a recent pacman full upgrade?

staletic commented on 2021-02-18 09:39

@wjhandley It's useful to post entire errors, not just the first line.

wjhandley commented on 2021-02-18 09:12

I'm also still getting the error

Error detected while processing function <SNR>84_PollServerReady: line 7:

Has anybody found a solution to this?

David01 commented on 2021-01-03 02:33

After new year's there has been a recent pacman packages update. This update was performed successfully, but there is some conflict with ycm's 2020-12-21 update:

vim filename gives:

Error detected while processing function <SNR>37_PollServerReady:
line    7:
Press ENTER or type command to continue
Error detected while processing function <SNR>37_PollServerReady:
line    7:
Traceback (most recent call last):
Press ENTER or type command to continue
Error detected while processing function <SNR>37_PollServerReady:
line    7:
  File "<string>", line 1, in <module>
Press ENTER or type command to continue
Error detected while processing function <SNR>37_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/youcompleteme.py", line 226, in CheckIfServerIsReady

:scriptnames gives:

  1: /etc/vimrc
  2: /usr/share/vim/vimfiles/archlinux.vim
  3: ~/.vimrc
  4: /usr/share/vim/vim82/filetype.vim
  5: /usr/share/vim/vimfiles/ftdetect/PKGBUILD.vim
  6: /usr/share/vim/vimfiles/ftdetect/meson.vim
  7: /usr/share/vim/vim82/ftplugin.vim
  8: /usr/share/vim/vim82/indent.vim
  9: /usr/share/vim/vim82/syntax/syntax.vim
 10: /usr/share/vim/vim82/syntax/synload.vim
 11: /usr/share/vim/vim82/syntax/syncolor.vim
 12: /usr/share/vim/vim82/autoload/netrw_gitignore.vim
 13: /usr/share/vim/vimfiles/autoload/pathogen.vim
 14: /usr/share/vim/vim82/ftoff.vim
 15: ~/.vim/bundle/vim-polyglot/ftdetect/polyglot.vim
 16: ~/.vim/bundle/vim-colors-xcode/colors/xcodelighthc.vim
 17: /usr/share/vim/vimfiles/plugin/SyntaxFolds.vim
 18: /usr/share/vim/vimfiles/plugin/filebrowser.vim
 19: /usr/share/vim/vimfiles/plugin/fzf.vim
 20: /usr/share/vim/vimfiles/plugin/imaps.vim
 21: /usr/share/vim/vimfiles/plugin/indentLine.vim
 22: /usr/share/vim/vimfiles/plugin/remoteOpen.vim
 23: /usr/share/vim/vimfiles/plugin/youcompleteme.vim
 24: /usr/share/vim/vim82/plugin/getscriptPlugin.vim
 25: /usr/share/vim/vim82/plugin/gzip.vim
 26: /usr/share/vim/vim82/plugin/logiPat.vim
 27: /usr/share/vim/vim82/plugin/manpager.vim
 28: /usr/share/vim/vim82/plugin/matchparen.vim
 29: /usr/share/vim/vim82/plugin/netrwPlugin.vim
 30: /usr/share/vim/vim82/plugin/rrhelper.vim
 31: /usr/share/vim/vim82/plugin/spellfile.vim
 32: /usr/share/vim/vim82/plugin/tarPlugin.vim
 33: /usr/share/vim/vim82/plugin/tohtml.vim
 34: /usr/share/vim/vim82/plugin/vimballPlugin.vim
 35: /usr/share/vim/vim82/plugin/zipPlugin.vim
 36: /usr/share/vim/vim82/scripts.vim
 37: /usr/share/vim/vimfiles/autoload/youcompleteme.vim

Could you please help me ? Many thanks

lahwaacz commented on 2020-12-12 09:49

@artafinde I see you've removed the ycmd repo from the sources array, which makes sense - now makepkg won't update the module only for git submodule update to skip back to the tracked commit.

Now the only problem with package versions is that the last 11 commits have the same message: upgpkg: vim-youcompleteme-git r2774.4496153a-1. I understand you just force-install the same package version with makepkg, but people who put the package into their custom binary repo actually need to bump pkgrel, otherwise pacman won't recognize it as an update and will just tell you that the old, cached package has become corrupted.

artafinde commented on 2020-12-09 08:20

@lahwaacz: The -git packages in AUR are mostly pkgver of 1 since they don't represent any particular release / tag. Whoever uses them agrees in the "silent contract" that they should keep them up to date.

On top of that the vim-youcompleteme-git plugin is a bit more complicated since the upstream depends on the ycmd (server) and it's tracked as git submodule in the upstream source code. So even if the upstream youcompleteme project source code might seem as not updated the submodule (ycmd) might.

My recommendation is to rebuild the -git packages you use often.

Disclaimer: I don't use any aur helper - just makepkg so no clue on what they offer, if any.

staletic commented on 2020-12-09 01:23

@lahwaacz The ycmd git source is YCM's submodule, so it can't change without getting updated in the YCM repo first.

@artafinde pybind11-2.6.1-1 is out and headers now do exist in /usr/include/pybind11. This PKGBUILD should be able to add pybind11 to the rm -rf command on line 77.